apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - namespace.yaml
  - ../../demo23-cluster
namespace: nrb
configMapGenerator:
  - name: the-map
    behavior: merge
    literals:
      - CATALOG_API_ENDPOINT="https://catalogue-api.nrb.demo23.gxfs.fr"
      - PARTICIPANT_NAME=nrb
      - PARENT_DOMAIN=provider.demo23.gxfs.fr
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "nrb.provider.demo23.gxfs.fr"
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["nrb.provider.demo23.gxfs.fr"]
    target:
      kind: Ingress
      name: participant-agent
